<!DOCTYPE html>
<html lang="ja">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>TODO App | 一覧</title>
    <!-- BootstrapのCSS読み込み -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
        crossorigin="anonymous"></script>
    <!-- FontAwesomeの読み込み-->
    <script src="https://kit.fontawesome.com/f4ccc568fd.js" crossorigin="anonymous"></script>
</head>

<body class="bg-light">
    <!-- header -->
    <header>
        <nav class="navbar navbar-expand-lg navbar-dark bg-dark mb-3">
            <div class="container">
                <a class="navbar-brand" href="ListServlet">
                    <!-- ナビゲーションバーの「TODOAPP」※ FontAwesome使いましたが深い意味ないです -->
                    <i class="fa-solid fa-t"></i>
                    <i class="fa-solid fa-o"></i>
                    <i class="fa-solid fa-d"></i>
                    <i class="fa-solid fa-o"></i>

                    <i class="fa-solid fa-a"></i>
                    <i class="fa-solid fa-p"></i>
                    <i class="fa-solid fa-p"></i>
                </a>

                <div class="d-flex">
                    <ul class="navbar-nav">
                        <li class="nav-item navbar-text">
                            ${user.name}さん</li>
                        <li class="nav-item"><a class="nav-link text-danger" href="LogoutServlet">ログアウト</a></li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    <!-- /header -->

    <!-- body -->
    <div class="container">
        <div class="d-flex justify-content-center align-self-center">
            <div class="card" style="width: 600px;">
                <div class="card-body">
                    <!-- 検索フォーム-->
                    <form method="post" action="SearchServlet">
                        <div class="input-group">
                            <span class="input-group-text" id="search-addon"> <i
                                    class="fa-solid fa-magnifying-glass"></i>
                            </span>
                            <input type="text" class="form-control" placeholder="search your TODO" aria-label="Search"
                                aria-describedby="search-addon" name="title">
                            <button class="btn btn-primary" type="submit">検索する</button>
                        </div>
                    </form>
                    <!-- 新規追加-->
                    <div class="row mt-3">
                        <div class="col">
                            <a class="btn btn-success" href="CreateServlet" type="button">新規追加</a>
                        </div>
                    </div>
                </div>

                <table class="table table-striped">
                    <tbody>
                        <c:forEach var="todo" items="${todoList}">
                            <tr>
                                <td>${todo.title}</td>
                                <td style="width: 150px;">
                                    <a class="btn btn-primary" href="UpdateServlet?id=${todo.id}">更新</a>
                                    <a class="btn btn-danger" href="DeleteServlet?id=${todo.id}">削除</a>
                                </td>
                            </tr>
                        </c:forEach>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</body>

</html>
